import numpy as np
import sys

n = len( sys.argv )
if n != 2 :
	print( "Args: nombre_archivo" )
	sys.exit(1)

nombre = sys.argv[1]

B = np.genfromtxt( nombre )
n, m = B.shape

mx, my = np.mean( B, axis=0 )
print( "p0:", mx, my )

B[:,0] = B[:,0] - mx
B[:,1] = B[:,1] - my

print( B.shape )

# calculamos la matriz de covarianzas
C = np.zeros( (2,2) )
i = 0
while i < n :
	x = B[i,0]
	y = B[i,1]
	C[0,0] += x*x 
	C[0,1] += x*y 
	C[1,1] += y*y
	i += 1

C[1,0] = C[0,1]

D, V = np.linalg.eig( C )
print( D )
print( "V:" )
print( V )
