# Leemos un archivo CSV de enteros.
# Los números faltantes se sustituyen con el valor
# promedio de cada columna.
# 24.09.2020
#
import numpy as np
import sklearn.preprocessing as preprocessing

# A = np.genfromtxt( "d.csv", delimiter=',' )
# A = np.genfromtxt( "d.csv", delimiter=',', dtype=np.float32  )

A = np.genfromtxt( "d.csv", delimiter=',', dtype=np.int, filling_values=1000 )
print( A.shape )
print( A )

imp = preprocessing.Imputer( missing_values=1000, strategy='mean' )
X = imp.fit_transform( A )
print( X )
