import numpy as np
import matplotlib.pyplot as plt
import sys


n = len( sys.argv )
if n != 6 :
	print( "Args: nombre_archivo x0 y0 vx vy" )
	sys.exit(1)

nombre = sys.argv[1]
x0 = float( sys.argv[2] )
y0 = float( sys.argv[3] )
vx = float( sys.argv[4] )
vy = float( sys.argv[5] )

B = np.genfromtxt( nombre )

fig, ax = plt.subplots( )
ax.scatter( B[:,0], B[:,1], marker='o' )
ax.arrow( x0, y0, vx, vy, head_width=0.2, head_length = 0.3, length_includes_head=True )
# ax.arrow( 3.5, 10, 1, 0, shape="right" )
# ax.annotate("", arrowprops=dict(arrowstyle="->") )
# ax.set_ylim( 5, 15 )
ax.set_aspect( 'equal' )

plt.show( )
