# Transformamos los datos
# de forma que la norma de cada vector columna
# tenga media cero y desviación estándard igual a 1
#
import numpy as np
import sklearn.preprocessing as preprocessing

# Los datos los leemos de un archivo
A = np.genfromtxt( "d.csv", delimiter=',' )
print( A.shape ) 
print( A ) 

escala = preprocessing.StandardScaler( )
escala.fit( A )
X = escala.transform( A )
print( X.shape )
print( X )

print( np.mean( X, axis=0 ) )
print( np.std( X, axis=0 ) )
